summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/config.sh5
-rwxr-xr-xtest/suite-unittests.sh7
2 files changed, 11 insertions, 1 deletions
diff --git a/test/config.sh b/test/config.sh
index 8fb5a66e3d..9f07f52da7 100755
--- a/test/config.sh
+++ b/test/config.sh
@@ -99,6 +99,11 @@ export WIRESHARK_QUIT_AFTER_CAPTURE="True"
CAPTURE_DIR="$TESTS_DIR/captures/"
+# Figure out if we were built with lua or not so we can skip the lua tests if we
+# don't have it. Is there a better way to do this than grepping config.h?
+grep -q "#define HAVE_LUA 1" $SOURCE_DIR/config.h
+HAVE_LUA=$?
+
# Display our environment
##printf "\n ------- Info =-----------------\n"
diff --git a/test/suite-unittests.sh b/test/suite-unittests.sh
index f10c65a00a..f9e0c68561 100755
--- a/test/suite-unittests.sh
+++ b/test/suite-unittests.sh
@@ -70,8 +70,13 @@ unittests_step_exntest() {
}
unittests_step_lua_int64_test() {
- $TSHARK -r $CAPTURE_DIR/dhcp.pcap -X lua_script:$TESTS_DIR/lua/int64.lua > testout.txt 2>&1
+ if [ $HAVE_LUA -ne 0 ]; then
+ test_step_skipped
+ return
+ fi
+
# Tshark catches lua script failures, so we have to parse the output.
+ $TSHARK -r $CAPTURE_DIR/dhcp.pcap -X lua_script:$TESTS_DIR/lua/int64.lua > testout.txt 2>&1
if grep -q "All tests passed!" testout.txt; then
test_step_ok
else